package com.dayou.brokerage.constants;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/13
 * created with IntelliJ IDEA.
 */
public enum BrokerageBusiness {

    ITEM_PREDICT("项目预算","ITEM_PREDICT"),

    ITEM_SETTLE("项目结算","ITEM_SETTLE"),

    DEFAULT_AHEAD("默认预提","DEFAULT_AHEAD"),

    AHEAD("提成预提","AHEAD"),
    SETTLE("提成结算","SETTLE"),

    PAYMENT_SETTLE("回款结算","PAYMENT_SETTLE"),

    COMPENSATION("补偿结算","COMPENSATION"),

    POOL_SETTLE("转入个人奖金池","POOL_SETTLE"),

    ONCE_SETTLE("一次性结算","ONCE_SETTLE");

    private String name;

    private String code;

    BrokerageBusiness(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }
}
